Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.drawable.utils
Class GLEventListenerList

    java.lang.Object
      |
      +--gl4java.drawable.utils.GLEventListenerList

public class GLEventListenerList
extends java.lang.Object

Helper class for implementing a list of GLEventListeners. This is only needed because we can not use the JDK 1.2 collection classes since we have to be backward compatible with JDK 1.1.

Constructor Summary
`GLEventListenerList()`

Method Summary
`void` | `add(GLEventListener listener)`
`java.util.EventListener[]` | `getListeners()`
`void` | `remove(GLEventListener listener)`
`void` | `sendCleanupEvent(GLDrawable from)`
`void` | `sendDisplayEvent(GLDrawable from)`
`void` | `sendInitEvent(GLDrawable from)`
`void` | `sendPostDisplayEvent(GLDrawable from)`
`void` | `sendPreDisplayEvent(GLDrawable from)`
`void` | `sendReshapeEvent(GLDrawable from, int width, int height)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLEventListenerList

    public GLEventListenerList()

Method Detail

### add

    public void add(GLEventListener listener)

### remove

    public void remove(GLEventListener listener)

### sendInitEvent

    public void sendInitEvent(GLDrawable from)

### sendPreDisplayEvent

    public void sendPreDisplayEvent(GLDrawable from)

### sendDisplayEvent

    public void sendDisplayEvent(GLDrawable from)

### sendPostDisplayEvent

    public void sendPostDisplayEvent(GLDrawable from)

### sendCleanupEvent

    public void sendCleanupEvent(GLDrawable from)

### sendReshapeEvent

    public void sendReshapeEvent(GLDrawable from,
                                 int width,
                                 int height)

### getListeners

    public java.util.EventListener[] getListeners()

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD